# ij.showErrorCode property

#### Function

Set this property to true to have ij display the SQLException ErrorCode value with error messages. The default is false.

Error codes denote the severity of the error. For more information, see the Derby Reference Manual.

#### Syntax

    ij.showErrorCode={ false | true }

#### Example

    java -Dij.showErrorCode=true -Dij.protocol=jdbc:derby:
        org.apache.derby.tools.ij
    ij version 10.5
    ij> Connect 'sample';
    ij> VLUES 1;
    ERROR 42X01: Syntax error: Encountered "VLUES"
    at line 1, column 1. (errorCode = 30000)
    ij>

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property